module.exports = {
  create: {
    requestBody: ["!remarkid", "!benoteid", "!name"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!remarkid", "!benoteid", "!name"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        remarkid: "remarkid",
        benoteid: "benoteid",
        name: "name",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  get: {
    parameters: {
      query: {
        remarkid: "remarkid",
        benoteid: "benoteid",
      },
    },
    service: 'getRemark'
  },
};
